Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class ValidatePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.ValidatePersistentMethod

    public class ValidatePersistentMethod
    extends AbstractDynamicPersistentMethod

Validates an instance of a domain class against its constraints.

Authors:
  Graeme Rocher

Since:
  07-Nov-2005

Field Summary
`static java.lang.String` | `ARGUMENT_DEEP_VALIDATE`
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Fields inherited from class AbstractDynamicPersistentMethod
ERRORS_PROPERTY

Constructor Summary
`ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)`
`ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, org.springframework.validation.Validator validator, HibernateDatastore datastore)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Object target, java.lang.Object[] arguments)`

Methods inherited from class AbstractDynamicPersistentMethod
doInvokeInternal, getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ARGUMENT_DEEP_VALIDATE

    public static final java.lang.String ARGUMENT_DEEP_VALIDATE

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### ValidatePersistentMethod

    public ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)

### ValidatePersistentMethod

    public ValidatePersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, org.springframework.validation.Validator validator, HibernateDatastore datastore)

Method Detail

### doInvokeInternal

    @Override
    @SuppressWarnings({"unchecked","rawtypes"})
    protected java.lang.Object doInvokeInternal(java.lang.Object target, java.lang.Object[] arguments)

Groovy Documentation